package com.gic.haoban.manage.service.service;


import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.service.entity.TabHaobanAppLog;
import org.springframework.data.domain.PageRequest;

/**
 * (TabHaobanAppLog)表服务接口
 *
 * @author makejava
 * @since 2023-05-11 20:42:00
 */
public interface TabHaobanAppLogService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TabHaobanAppLog queryById(Long id);

    /**
     * 分页查询
     *
     * @param tabHaobanAppLog 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<TabHaobanAppLog> queryByPage(TabHaobanAppLog tabHaobanAppLog, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param tabHaobanAppLog 实例对象
     * @return 实例对象
     */
    Integer insert(TabHaobanAppLog tabHaobanAppLog);

    /**
     * 修改数据
     *
     * @param tabHaobanAppLog 实例对象
     * @return 实例对象
     */
    TabHaobanAppLog update(TabHaobanAppLog tabHaobanAppLog);

}
