package com.gic.haoban.manage.service.service.out.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.common.utils.EntityUtil;
import com.gic.haoban.manage.api.dto.TabHaobanAppLogDTO;
import com.gic.haoban.manage.api.service.TabHaobanAppLogApiService;
import com.gic.haoban.manage.service.entity.TabHaobanAppLog;
import com.gic.haoban.manage.service.service.TabHaobanAppLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @description:
 * @Author: wenhua
 * @Date: 2023/5/11 21:41
 */
@Service
public class TabHaobanAppLogApiServiceImpl implements TabHaobanAppLogApiService {

    @Autowired
    private  TabHaobanAppLogService tabHaobanAppLogService;

    @Override
    public ServiceResponse<Boolean> insert(TabHaobanAppLogDTO tabHaobanAppLogDTO) {
        tabHaobanAppLogService.insert(EntityUtil.changeEntityByJSON(TabHaobanAppLog.class, tabHaobanAppLogDTO));
        return ServiceResponse.success();
    }
}
